org.apache.cassandra.config

## Class YamlConfigurationLoader

- java.lang.Object
- - org.apache.cassandra.config.YamlConfigurationLoader

- All Implemented Interfaces:
    ConfigurationLoader

      public class YamlConfigurationLoader
      extends java.lang.Object
      implements ConfigurationLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `YamlConfigurationLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Config` | `loadConfig()` Loads a `Config` object to use to configure a node.
    `Config` | `loadConfig(java.net.URL url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### YamlConfigurationLoader

          public YamlConfigurationLoader()

  - ### Method Detail

    - #### loadConfig

          public Config loadConfig()
                            throws ConfigurationException

      Description copied from interface: `ConfigurationLoader`
      Loads a `Config` object to use to configure a node.
      Specified by:
        `loadConfig` in interface `ConfigurationLoader`
      Returns:
        the `Config` to use.
      Throws:
        `ConfigurationException` - if the configuration cannot be properly loaded.

    - #### loadConfig

          public Config loadConfig(java.net.URL url)
                            throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2018 The Apache Software Foundation